Skip to content
Start here

Enable R2 bucket as a catalog

POST/accounts/{account_id}/r2-catalog/{bucket_name}/enable

Enable an R2 bucket as an Apache Iceberg catalog. This operation creates the necessary catalog infrastructure and activates the bucket for storing Iceberg metadata and data files.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers R2 Data Catalog Write
Path ParametersExpand Collapse
account_id: string

Use this to identify the account.

bucket_name: string

Specifies the R2 bucket name.

maxLength63
minLength3
ReturnsExpand Collapse
errors: array of { code, message }

Contains errors if the API call was unsuccessful.

code: number

Specifies the error code.

message: string

Describes the error.

messages: array of { code, message }

Contains informational messages.

code: number

Specifies the message code.

message: string

Contains the message text.

success: boolean

Indicates whether the API call was successful.

result: optional { id, name }

Contains response from activating an R2 bucket as a catalog.

id: string

Use this to uniquely identify the activated catalog.

formatuuid
name: string

Specifies the name of the activated catalog.

Enable R2 bucket as a catalog

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/r2-catalog/$BUCKET_NAME/enable \
    -X POST \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "account123_my-bucket"
  },
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "account123_my-bucket"
  },
  "success": true
}